Package org.eclipse.graphiti.ui.editor

# Class EditorInputAdapter

java.lang.Object
org.eclipse.graphiti.ui.editor.EditorInputAdapter

public class EditorInputAdapter extends Object

Since:
  0.9

## Constructor Summary

Constructors
Constructor
Description
`EditorInputAdapter()`

## Method Summary

Modifier and Type
Method
Description
`static DiagramEditorInput`
`adaptToDiagramEditorInput(org.eclipse.ui.IEditorInput otherInput)`
Creates a new `DiagramEditorInput` with a self created `TransactionalEditingDomain` in case the passed `IEditorInput` is either a `IFileEditorInput` or a `URIEditorInput`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EditorInputAdapter

public EditorInputAdapter()

## Method Details

### adaptToDiagramEditorInput

public static DiagramEditorInput adaptToDiagramEditorInput(org.eclipse.ui.IEditorInput otherInput)
Creates a new `DiagramEditorInput` with a self created `TransactionalEditingDomain` in case the passed `IEditorInput` is either a `IFileEditorInput` or a `URIEditorInput`. It returns otherInput, if it is a `DiagramEditorInput`. The created editor input object will care about the disposal of the editing domain.

Parameters:
  `otherInput` - an `IEditorInput` editor input
Returns:
  a `DiagramEditorInput` editor input if the conversion is supported and succeeded, otherwise `null`.
Since:
  0.9